﻿Partial Public Class About
    Inherits Window

    Public Sub New 
        InitializeComponent()
    End Sub

    Private Sub buttonOK_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        Me.Close()
    End Sub

    Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        ' Set the title of the form.
        Dim ApplicationTitle As String
        If My.Application.Info.Title <> "" Then
            ApplicationTitle = My.Application.Info.Title
        Else
            ApplicationTitle = System.IO.Path.GetFileNameWithoutExtension(My.Application.Info.AssemblyName)
        End If
        Me.textboxApplicationTitle.Text = String.Format("About {0}", ApplicationTitle)
        ' Initialize all of the text displayed on the About Box.
        ' TODO: Customize the application's assembly information in the "Application" pane of the project 
        '    properties dialog (under the "Project" menu).
        Me.labelProductName.Content = My.Application.Info.ProductName
        Me.labelVersion.Content = String.Format("Version {0}", My.Application.Info.Version.ToString)
        Me.labelCopyright.Content = My.Application.Info.Copyright
        Me.labelCompanyName.Content = My.Application.Info.CompanyName
        Me.textboxDescription.Text = My.Application.Info.Description
    End Sub
End Class